### Function

# Gio AppInfo get_fallback_for_type

since: 2.28

#### Declaration

    GList*
    g_app_info_get_fallback_for_type (
      const gchar* content_type
    )

#### Description

Gets a list of fallback `GAppInfos` for a given content type, i.e. those applications which claim to support the given content type by MIME type subclassing and not directly.

Available since: 2.28

#### Parameters

`content_type`

  Type: `const gchar*`

  The content type to find a `GAppInfo` for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `GAppInfo*`

`GList` of `GAppInfos` for given `content_type` or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.